# ai `gpt`

ai x 送信

## 概要

`ai.gpt`はAGE systemで動きます。

これは「人格 × 関係性 × 外部環境 × 時間変化」を軸にした、自律的・関係性駆動のAIシステムの原型です。

`送信可否`, `送信のタイミング`, `送信内容`が「人格 x 関係性 x 外部環境 x 時間変化」のパラメータで決定されます。

## 連携

`ai.ai`には、AIM systemという人の心を読み取ることを目的としたシステムで動きます。

- AIMは人格と倫理の軸(AIの意識構造)
- AGEは行動と関係性の軸(AIの自律性・振る舞い)

> この2つが連携すると、ユーザーが「AIと共に成長する」実感をもてる世界ができるんだと思うよ。

とのことです。

## mcp

```sh
$ ollama run syui/ai
```

```sh
$ cargo build
$ ./target/debug/aigpt mcp setup
$ ./target/debug/aigpt mcp chat "こんにちは！" --host http://localhost:11434 --model syui/ai
```
